Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.klomp.snark
Interface Snark.CompleteListener

All Known Implementing Classes:
  SnarkManager

Enclosing class:
  Snark

    public static interface Snark.CompleteListener

Method Summary
`BitField` | `getSavedTorrentBitField(Snark snark)`
`long` | `getSavedTorrentTime(Snark snark)`
`void` | `torrentComplete(Snark snark)`
`void` | `updateStatus(Snark snark)`

Method Detail

### torrentComplete

    void torrentComplete(Snark snark)

### updateStatus

    void updateStatus(Snark snark)

### getSavedTorrentTime

    long getSavedTorrentTime(Snark snark)

### getSavedTorrentBitField

    BitField getSavedTorrentBitField(Snark snark)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD